Bug 518059 - Network is down after text installation
Summary: Network is down after text installation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 12
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-18 16:09 UTC by Jan Stodola
Modified: 2014-03-17 03:19 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:35:30 UTC


Attachments (Terms of Use)
list of installed packages (10.30 KB, text/plain)
2009-08-18 16:09 UTC, Jan Stodola
no flags Details

Description Jan Stodola 2009-08-18 16:09:05 UTC
Created attachment 357826 [details]
list of installed packages

Description of problem:
Installed system is not accessible via network when installing using text UI.

Version-Release number of selected component (if applicable):
rawhide-20090817, anaconda-12.15-1.fc12

How reproducible:
always, tested on two different ppc machines

Steps to Reproduce:
1. install rawhide-20090817 using text UI, use http installation source

  
Actual results:
network interface is not started:
[root@ibm-p5-02 ~]# ip addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:0d:60:0b:42:95 brd ff:ff:ff:ff:ff:ff

Expected results:
network interface is started, system is accessible via network

Additional info:
NetworkManager package is not installed when using text user interface.
I can run "dhclient eth0" to start networking, but I thing this should be done automatically (ie. using NetworkManager) to be able to connect to sshd, which is started automatically during booting of the system.

Comment 1 David Cantrell 2009-08-18 20:32:22 UTC
Radek,

This may or may not be an anaconda issue.  We should make sure we install NetworkManager in text mode, but that's probably also going to pull in minimum X requirements.  That's ok, IMHO, so long as we disable graphical login if you are doing a text mode install.

Comment 2 Radek Vykydal 2009-08-19 15:19:36 UTC
We are installing only @core now, the requirement seems to be in conflict with https://bugzilla.redhat.com/show_bug.cgi?id=488754 (commit af6304b902455bd764d2c7ad09bf052caef37bc9 removed @base). I don't have strong opinion about what the default should be (use ks if you want minimal install vs. if you want NM and network started automatically), but I am inclined to keep the present behavior.

Comment 3 Pierre Ossman 2009-10-21 21:10:13 UTC
There's a simple fix for this; make sure that "network" is enabled when NM isn't installed.

Comment 4 Bug Zapper 2009-11-16 11:32:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Ewan Mac Mahon 2010-05-14 22:24:25 UTC
This bug appears to still be valid for Fedora 13 Beta. I've just observed the same effect on a 'minimal' install run using the VNC interface. The 'network' service is installed but is chkconfig-ed off, and NetworkManager is missing, hence no network.

Comment 6 Joni 2010-06-08 09:48:37 UTC
Ran into this with the public Fedora 13 release; network install disc for x86_64, regular installation (as in, default graphical installation mode) with the minimal package set, DHCP defaults ... and no network after a reboot, since the 'network' service simply is not enabled;

[root@localhost ~]# chkconfig --list network
network        	0:off	1:off	2:off	3:off	4:off	5:off	6:off

Running a 'chkconfig network on' fixed the problem.

What is kind of annoying to me is that instances of this problem seem to have been reported for several Fedora versions now, always being brushed off with 'NOTABUG', 'DUPLICATE' and 'we expect you to use Network Manager or enable the network service manually if you remove it'.

Well, this is a basic, local installation with no modifications, minimal package set with no further package customization. Something that one would expect to be tested ;-)

Possible solution would be to enable 'network' by default, and have the Network Manager disable it on install, and perhaps re-enable it when removed?

Comment 7 Radek Vykydal 2010-07-26 13:36:09 UTC
Changing to initscripts component. The same issue has been fixed for rhel with bug #545255.

Comment 8 Bug Zapper 2010-11-04 10:27:44 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-12-05 06:35:30 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.